Subject: Re: RFC 9226 on Bioctal: Hexadecimal 2.0

From: Michael Richardson <[email-masked]>
Date: Sat, 02 Apr 2022 20:21:00 -0400

I wish that more RFCs had such well thought out Security Considerations.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 3 Apr 2022 15:38:48 +1200

> I wish that more RFCs had such well thought out Security Considerations.

They are incomplete. There is a whole world of hurt if one considers
IPv6 addresses. What are we to make of a prefix like 2cf2::/16 ?
If we assume it's bioctal, it is really 28c2::/16 in hex. But if
we assume it's hexadecimal, it's really 2cf2::/16.

That sort of confusion between IP prefixes could be quite an
operational problem and lead to all kinds of exposures. It means
that auto-detection of bioctal vs hex is generally impossible.

It's also hard to perceive vbc0::1234 as a link local address.

However, in the interests of widespread community consideration
of this problem, I have added support of bioctal to my little
IP address checking program. Sorry to be a day or two late.

https://github.com/becarpenter/misc/blob/main/addrPropsO.py

    Brian

---

From: "John Levine" <[email-masked]>
Date: 3 Apr 2022 12:15:17 -0400

>that auto-detection of bioctal vs hex is generally impossible.

Calm down, nobody uses IPv6 so it isn't a problem worth worrying about.

Helpfully,
John
-- 
Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly